> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Transformations

> Returns records from the transformations entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json get /transformations
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /transformations:
    get:
      tags:
        - transformations
      summary: List All Transformations
      description: >-
        Returns records from the transformations entity that match the specified
        query parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAlltransformations
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: transformations response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/transformations'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    transformations:
      type: object
      properties:
        TransformationId:
          description: The id of the Transformation.
          type: string
        TransformationName:
          description: The name of the Transformation.
          type: string
        WorkspaceId:
          description: The id of the Workspace.
          type: string
        Connection:
          description: >-
            The destination connection, usually it is a value of Connection
            Name.
          type: string
        TransformationTriggerMode:
          description: >-
            Whether to run the transformation on a schedule or after a job.
            Defaults to None.
          type: string
        TriggerAfterJob:
          description: The specified job the transformation will run after.
          type: string
        TriggerAfterJobId:
          description: The specified job the transformation will run after.
          type: string
        TriggerAfterJobType:
          description: The type of specified job the transformation will run after.
          type: string
        TriggerTasks:
          description: A comma separated list of Task Ids.
          type: string
        ScheduledCron:
          description: The scheduler cron string.
          type: string
        SendEmailNotification:
          description: >-
            Set this to true to send email notifications after transformation is
            completed, default is false.
          type: string
        NotifyEmailTo:
          description: The email address where notifications will be sent to.
          type: string
        NotifyEmailSubject:
          description: The email subject for notifications.
          type: string
        EmailErrorOnly:
          description: Send the error message only.
          type: string
        Verbosity:
          description: >-
            The log verbosity level of the job, where 0 represents None, 1
            represents Error, 2 represents Info, 3 represents Transfer, and 5
            represents Verbose, default is 0.
          type: string
        RowVersion:
          description: The version number of row information.
          type: integer
          format: int64
        CommandTimeout:
          description: Controls the timeout for the connections, default is 300.
          type: string
        AutomaticJobRetry:
          description: Whether retry failed tasks, default is true.
          type: string
        ProjectPath:
          description: The project path of DBT Transformation.
          type: string
        DBTSchema:
          description: The schema of DBT Transformation.
          type: string
        Type:
          description: The type of Transformation, default is Transformation.
          type: string
        Threads:
          description: The threads count of DBT，default is 4.
          type: string
        ProjectType:
          description: The type of DBT project， default is local.
          type: string
        GitRepositoryURL:
          description: The URL of the Git repository where project resides.
          type: string
        GitToken:
          description: The token of accessing Git.
          type: string
        IsTrigger:
          description: The trigger of after job, default is false.
          type: string
        Scheduled:
          description: >-
            Set this to true to the job can be executed according to a specific
            scheduler, default is false.
          type: string
        HistoryId:
          description: The historyId of Transformations, default is 0.
          type: string
        WithHistory:
          description: When true, return info contains history, default is false.
          type: string
        EnableParallelProcessing:
          description: >-
            Whether allow current transformation to support parallel processing
            of queries, default is false.
          type: string
        WorkerPool:
          description: The size of threads in worker pool, default is 2.
          type: string
        CanUpdate:
          description: Whether the current entity can be updated.
          type: string
        CanRemove:
          description: Whether the current entity can be removed.
          type: string
        CanExecute:
          description: Whether the current entity can be executed.
          type: string
      required:
        - TransformationName
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````